Bug 1291430 - epel7 fts FTBFS on aarch64
epel7 fts FTBFS on aarch64
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: fts (Show other bugs)
epel7
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alejandro Alvarez
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-14 15:55 EST by Yaakov Selkowitz
Modified: 2016-05-19 12:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: fts-3.4.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 12:20:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-14 15:55:47 EST
Attempting to build fts-3.3.1-3.el7 on aarch64 results in:

CMakeFiles/fts_url_copy.dir/reporter.cpp.o: In function `scoped_lock':
/usr/include/boost/atomic/detail/lockpool.hpp:39: undefined reference to `boost:
:atomics::detail::lockpool::get_lock_for(void const volatile*)'
/usr/include/boost/atomic/detail/lockpool.hpp:39: undefined reference to `boost:
:atomics::detail::lockpool::get_lock_for(void const volatile*)'
collect2: error: ld returned 1 exit status
make[2]: *** [src/url-copy/fts_url_copy] Error 1

I was able to work around this by adding atomic to Boost COMPONENTS in src/url-copy/CMakeLists.txt, but given that the Fedora builds have always succeeded, I'm not entirely sure if this isn't a bug in RHEL's older boost (1.53) relative to Fedora's (1.54 in F21, and newer since).
Comment 1 Alejandro Alvarez 2016-01-11 08:46:20 EST
Fixed upstream
https://gitlab.cern.ch/fts/fts3/commit/2ebf3b9a09f570b9f17a2d66da92000cab973f25
Comment 2 D. Marlin 2016-03-29 19:02:49 EDT
If the upstream patch resolves this issue, will you please build a new version for EPEL7 that includes this patch?
Comment 3 Fedora Update System 2016-04-18 10:10:31 EDT
fts-3.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04ad8aeab8
Comment 4 Fedora Update System 2016-04-18 21:51:02 EDT
fts-3.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04ad8aeab8
Comment 5 Fedora Update System 2016-05-19 12:20:40 EDT
fts-3.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.